[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragKind

Indicates the action performed for a drag operation: drag-and-drop or drag-and-dock.

## Declaration

Source position: controls.pp line 1571

`protected property TControl.DragKind : TDragKind read FDragKind write FDragKind default dkDrag;`

## Description

Set to dkDrag for a drag-drop operation, or to dkDock for a drag-dock operation.

## See also

TDragKind |  | Indicates whether the control performs drag-drop or drag-dock operation.